Package org.eclipse.ui.statushandlers

# Interface IStatusAdapterConstants

public interface IStatusAdapterConstants
This interface contains common constants important for `StatusAdapter`.

This interface should not be implemented or extended by clients.

Since:
  3.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QualifiedName`
`EXPLANATION_PROPERTY`
This property is used to add an explanation to the adapter.
`static final QualifiedName`
`HINT_PROPERTY`
This property is used to add a hint to the adapter.
`static final String`
`PROPERTY_PREFIX`
Common prefix for properties defined in this interface.
`static final QualifiedName`
`TIMESTAMP_PROPERTY`
This property is used to add a timestamp to the adapter.
`static final QualifiedName`
`TITLE_PROPERTY`
This property is used to add title to the adapter.

## Field Details

### PROPERTY_PREFIX

static final String PROPERTY_PREFIX
Common prefix for properties defined in this interface.

See Also:
  - Constant Field Values

### TITLE_PROPERTY

static final QualifiedName TITLE_PROPERTY
This property is used to add title to the adapter. If the adapter is shown in a dialog, this property is used to create title of the dialog.

The property must be of type `String`.

### TIMESTAMP_PROPERTY

static final QualifiedName TIMESTAMP_PROPERTY
This property is used to add a timestamp to the adapter. If the adapter is shown in the UI, this property can be used for sorting and showing information about the status creation time.

The property must be of type `Long`.

### EXPLANATION_PROPERTY

static final QualifiedName EXPLANATION_PROPERTY
This property is used to add an explanation to the adapter. If the adapter is shown in the UI, this property should be used to present additional explanation for the status.

The property must be of type `String`.

### HINT_PROPERTY

static final QualifiedName HINT_PROPERTY
This property is used to add a hint to the adapter. If the adapter is shown in the UI, this property should be used to present suggested actions that have to be performed by the user.

The property must be of type `String`.